Skip to content

List osquery tables

GET
/api/v1/osquery/tables
curl --request GET \
--url https://example.com/api/v1/osquery/tables \
--header 'Authorization: <Authorization>'

Returns the osquery schema table metadata known to the API.

OK

Media typeapplication/json
Array<object>
object
cacheable
boolean
columns
Array<object>
object
description
string
hidden
boolean
index
boolean
name
string
notes
string
required
boolean
type
string
description
string
evented
boolean
examples
Array<string>
filter
string
name
string
notes
string
platforms
Array<string>
url
string
Examplegenerated
[
{
"cacheable": true,
"columns": [
{
"description": "example",
"hidden": true,
"index": true,
"name": "example",
"notes": "example",
"required": true,
"type": "example"
}
],
"description": "example",
"evented": true,
"examples": [
"example"
],
"filter": "example",
"name": "example",
"notes": "example",
"platforms": [
"example"
],
"url": "example"
}
]

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Too many requests

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}